List Customers
curl --request GET \
--url https://api.example.com/merchant/customer/listimport requests
url = "https://api.example.com/merchant/customer/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/merchant/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
Customers
List Customers
List all customers
GET
/
merchant
/
customer
/
list
List Customers
Get a list of all customers for the merchant.
integer
Page number
integer
Items per page
string
Search by email
boolean
Indicates if the request was successful
array
Array of customer objects
object
Pagination information
Example Request
curl -X GET "https://api.transaction.gg/merchant/customer/list?page=1&limit=10&search=john" \
-H "Authorization: Bearer jwt_token"
Example Response
{
"success": true,
"data": {
"customers": [
{
"id": "cus_V6n6SN2KnsIFCuQU",
"email": "customer@example.com",
"metadata": {
"name": "John Doe",
"phone": "+1234567890"
},
"createdAt": "2024-01-01T00:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1
}
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
⌘I